MONGOC_CLIENT_ENCRYPTION_GET_KEY(3)

NAME
mongoc_client_encryption_get_key - mongoc_client_encryption_get_key()

SYNOPSIS

bool
mongoc_client_encryption_get_key (mongoc_client_encryption_t *client_encryption,
                                  const bson_value_t *keyid,
                                  bson_t *key_doc,
                                  bson_error_t *error);

Get a key document in the key vault collection that has the given keyid.

PARAMETERS

•   client_encryption: A mongoc_client_encryption_t.

•   keyid: The UUID (BSON binary subtype 0x04) of the key to get.

•   key_doc: Optional. An uninitialized bson_t set to the resulting key document, or an empty document value if the key does not exist. Must be freed by bson_destroy().

•   error: Optional. bson_error_t.

RETURNS

Returns true if successful. Returns false and sets error otherwise.

SEE ALSO:
mongoc_client_encryption_t

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc